import { Plugin } from 'unified';

interface ComponentHandler {
  name: string
  instance: any
  options?: any
}

interface RemarkMDCOptions {
  components?: ComponentHandler[]
  experimental?: {
    autoUnwrap?: boolean
    componentCodeBlockYamlProps?: boolean
  }
}

declare function stringifyFrontMatter(data: any, content?: string): string;
declare function parseFrontMatter(content: string): {
    content: string;
    data: Record<string, any>;
};

declare module 'unist' {
    interface Data {
        hName?: string;
        hProperties?: Record<string, any>;
    }
}
declare const _default: Plugin<RemarkMDCOptions[]>;

export { _default as default, parseFrontMatter, stringifyFrontMatter };
